from moviepy.editor import *  #biblioteka za rad sa video zapisima
from PIL import Image #biblioteka za rad sa slikom

#ucitavanje videa
clip = VideoFileClip("ng_bez_zvuka.mp4")

### Ispis osobina  videa ###
print('Ime datoteke:', clip.filename)
print('Rezolucija:', clip.size) #wxh u pikselima
print('Odnos sirine i visine:', clip.aspect_ratio)
print('Bit dubina:', clip.reader.depth)
print('FPS:',clip.reader.fps)
print('Duzina trajanja u s:', clip.reader.duration)
print('Broj okvira:', clip.reader.nframes)


### Dodavanje muzike ###

#ucitavanje muzike u mp3 formatu
audio = AudioFileClip("pesmica.mp3")
print('Trajanje pesmice u sekundama:', audio.duration)

#izdvajanje dela pesmice od 36 sekunde pa koliko traje video
#subclip(start, end) vraca kao rezultat deo pesme izmedju start sekunde i end sekunde
clip.audio=audio.subclip(36, 36+clip.duration)

#cuvanje videa sa dodatom muzikom
clip.write_videofile("video_1_s_sa_muzikom.mp4")



